﻿
/*-------------------------------------------------------------------------------+
|
| Copyright (c) 2012, Embedded-Lab. All Rights Reserved.
|
| Limited permission is hereby granted to reproduce and modify this 
| copyrighted material provided that this notice is retained 
| in its entirety in any such reproduction or modification.
|
| Author: ANir
| First Version Date: 2013/2/14
+-------------------------------------------------------------------------------*/

			

using EmbeddedLab.NetduinoPlus.Day5.IO;
using Microsoft.SPOT;

namespace EmbeddedLab.NetduinoPlus.Day5
{
	public class Program
	{
		public static void Main()
		{
			// Directly start logging, no need to create any instance of Logger class
			Logger.LogToFile = true;    // if false it will only do Debug.Print()
			Logger.Append = true;       // will append the information to existing if any
			Logger.PrefixDateTime = true; // add a time stamp on each Log call. Note: Netduino time is not same as clock time.

			// any number of arguments can be passed. They will appended by a white space
			Logger.Log("All", "these", "will", "be", "combined", "in", "to", "one", "string");
			Logger.Log("This should go into the second line.");
			Debug.Print(Logger.LogFilePath);
			

			// Create an instance of Logger if you need to write to a custom location.
			Logger customLogger = new Logger(@"One\OneOne", "one.txt", true);
			customLogger.CustomPrefixDateTime = false;
			customLogger.CustomLogToFile = true;
			customLogger.LogCustom("All", "these", "will", "be", "combined", "in", "to", "one", "string", "-CustomLogger1.");
			Debug.Print(customLogger.CustomFilePath);

			// MUST always call Close to save information
			// you may also call Flush() when you need to save information.
			Logger.Close();
			customLogger.CloseCustomStreamWriter();
		}

	}
}
